// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 52;
	objects = {

/* Begin PBXBuildFile section */
		650A145025C36EC0006D4F4A /* BooksApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A144F25C36EC0006D4F4A /* BooksApp.swift */; };
		650A145225C36EC0006D4F4A /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A145125C36EC0006D4F4A /* ContentView.swift */; };
		650A145425C36EC2006D4F4A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 650A145325C36EC2006D4F4A /* Assets.xcassets */; };
		650A145725C36EC2006D4F4A /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 650A145625C36EC2006D4F4A /* Preview Assets.xcassets */; };
		650A146B25C37AA9006D4F4A /* Alamofire in Frameworks */ = {isa = PBXBuildFile; productRef = 650A146A25C37AA9006D4F4A /* Alamofire */; };
		650A146F25C37B55006D4F4A /* Home.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A146E25C37B55006D4F4A /* Home.swift */; };
		650A147425C37BAF006D4F4A /* Book.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A147325C37BAF006D4F4A /* Book.swift */; };
		650A147925C37C71006D4F4A /* BooksViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A147825C37C71006D4F4A /* BooksViewModel.swift */; };
		650A147D25C38368006D4F4A /* SwiftyJSON in Frameworks */ = {isa = PBXBuildFile; productRef = 650A147C25C38368006D4F4A /* SwiftyJSON */; };
		650A148125C386FA006D4F4A /* SDWebImageSwiftUI in Frameworks */ = {isa = PBXBuildFile; productRef = 650A148025C386FA006D4F4A /* SDWebImageSwiftUI */; };
		650A148425C3878A006D4F4A /* WebView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 650A148325C3878A006D4F4A /* WebView.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		650A144C25C36EC0006D4F4A /* Books.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Books.app; sourceTree = BUILT_PRODUCTS_DIR; };
		650A144F25C36EC0006D4F4A /* BooksApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BooksApp.swift; sourceTree = "<group>"; };
		650A145125C36EC0006D4F4A /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		650A145325C36EC2006D4F4A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		650A145625C36EC2006D4F4A /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		650A145825C36EC2006D4F4A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		650A146E25C37B55006D4F4A /* Home.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Home.swift; sourceTree = "<group>"; };
		650A147325C37BAF006D4F4A /* Book.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Book.swift; sourceTree = "<group>"; };
		650A147825C37C71006D4F4A /* BooksViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BooksViewModel.swift; sourceTree = "<group>"; };
		650A148325C3878A006D4F4A /* WebView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WebView.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		650A144925C36EC0006D4F4A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				650A148125C386FA006D4F4A /* SDWebImageSwiftUI in Frameworks */,
				650A147D25C38368006D4F4A /* SwiftyJSON in Frameworks */,
				650A146B25C37AA9006D4F4A /* Alamofire in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		650A144325C36EC0006D4F4A = {
			isa = PBXGroup;
			children = (
				650A144E25C36EC0006D4F4A /* Books */,
				650A144D25C36EC0006D4F4A /* Products */,
			);
			sourceTree = "<group>";
		};
		650A144D25C36EC0006D4F4A /* Products */ = {
			isa = PBXGroup;
			children = (
				650A144C25C36EC0006D4F4A /* Books.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		650A144E25C36EC0006D4F4A /* Books */ = {
			isa = PBXGroup;
			children = (
				650A147725C37C49006D4F4A /* ViewModel */,
				650A147225C37BA3006D4F4A /* Model */,
				650A146D25C37ABB006D4F4A /* View */,
				650A144F25C36EC0006D4F4A /* BooksApp.swift */,
				650A145125C36EC0006D4F4A /* ContentView.swift */,
				650A145325C36EC2006D4F4A /* Assets.xcassets */,
				650A145825C36EC2006D4F4A /* Info.plist */,
				650A145525C36EC2006D4F4A /* Preview Content */,
			);
			path = Books;
			sourceTree = "<group>";
		};
		650A145525C36EC2006D4F4A /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				650A145625C36EC2006D4F4A /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		650A146D25C37ABB006D4F4A /* View */ = {
			isa = PBXGroup;
			children = (
				650A146E25C37B55006D4F4A /* Home.swift */,
				650A148325C3878A006D4F4A /* WebView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		650A147225C37BA3006D4F4A /* Model */ = {
			isa = PBXGroup;
			children = (
				650A147325C37BAF006D4F4A /* Book.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		650A147725C37C49006D4F4A /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				650A147825C37C71006D4F4A /* BooksViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		650A144B25C36EC0006D4F4A /* Books */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 650A145B25C36EC2006D4F4A /* Build configuration list for PBXNativeTarget "Books" */;
			buildPhases = (
				650A144825C36EC0006D4F4A /* Sources */,
				650A144925C36EC0006D4F4A /* Frameworks */,
				650A144A25C36EC0006D4F4A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Books;
			packageProductDependencies = (
				650A146A25C37AA9006D4F4A /* Alamofire */,
				650A147C25C38368006D4F4A /* SwiftyJSON */,
				650A148025C386FA006D4F4A /* SDWebImageSwiftUI */,
			);
			productName = Books;
			productReference = 650A144C25C36EC0006D4F4A /* Books.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		650A144425C36EC0006D4F4A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1230;
				LastUpgradeCheck = 1230;
				TargetAttributes = {
					650A144B25C36EC0006D4F4A = {
						CreatedOnToolsVersion = 12.3;
					};
				};
			};
			buildConfigurationList = 650A144725C36EC0006D4F4A /* Build configuration list for PBXProject "Books" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 650A144325C36EC0006D4F4A;
			packageReferences = (
				650A146925C37AA9006D4F4A /* XCRemoteSwiftPackageReference "Alamofire" */,
				650A147B25C38368006D4F4A /* XCRemoteSwiftPackageReference "SwiftyJSON" */,
				650A147F25C386FA006D4F4A /* XCRemoteSwiftPackageReference "SDWebImageSwiftUI" */,
			);
			productRefGroup = 650A144D25C36EC0006D4F4A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				650A144B25C36EC0006D4F4A /* Books */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		650A144A25C36EC0006D4F4A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				650A145725C36EC2006D4F4A /* Preview Assets.xcassets in Resources */,
				650A145425C36EC2006D4F4A /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		650A144825C36EC0006D4F4A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				650A147425C37BAF006D4F4A /* Book.swift in Sources */,
				650A145225C36EC0006D4F4A /* ContentView.swift in Sources */,
				650A146F25C37B55006D4F4A /* Home.swift in Sources */,
				650A148425C3878A006D4F4A /* WebView.swift in Sources */,
				650A147925C37C71006D4F4A /* BooksViewModel.swift in Sources */,
				650A145025C36EC0006D4F4A /* BooksApp.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		650A145925C36EC2006D4F4A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.3;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		650A145A25C36EC2006D4F4A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.3;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		650A145C25C36EC2006D4F4A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Books/Preview Content\"";
				DEVELOPMENT_TEAM = H9894JKLG5;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = Books/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.dsiancas.Books;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		650A145D25C36EC2006D4F4A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_ASSET_PATHS = "\"Books/Preview Content\"";
				DEVELOPMENT_TEAM = H9894JKLG5;
				ENABLE_PREVIEWS = YES;
				INFOPLIST_FILE = Books/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.dsiancas.Books;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		650A144725C36EC0006D4F4A /* Build configuration list for PBXProject "Books" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				650A145925C36EC2006D4F4A /* Debug */,
				650A145A25C36EC2006D4F4A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		650A145B25C36EC2006D4F4A /* Build configuration list for PBXNativeTarget "Books" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				650A145C25C36EC2006D4F4A /* Debug */,
				650A145D25C36EC2006D4F4A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		650A146925C37AA9006D4F4A /* XCRemoteSwiftPackageReference "Alamofire" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/Alamofire/Alamofire";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 5.4.1;
			};
		};
		650A147B25C38368006D4F4A /* XCRemoteSwiftPackageReference "SwiftyJSON" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/SwiftyJSON/SwiftyJSON";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 5.0.0;
			};
		};
		650A147F25C386FA006D4F4A /* XCRemoteSwiftPackageReference "SDWebImageSwiftUI" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/SDWebImage/SDWebImageSwiftUI";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 1.5.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		650A146A25C37AA9006D4F4A /* Alamofire */ = {
			isa = XCSwiftPackageProductDependency;
			package = 650A146925C37AA9006D4F4A /* XCRemoteSwiftPackageReference "Alamofire" */;
			productName = Alamofire;
		};
		650A147C25C38368006D4F4A /* SwiftyJSON */ = {
			isa = XCSwiftPackageProductDependency;
			package = 650A147B25C38368006D4F4A /* XCRemoteSwiftPackageReference "SwiftyJSON" */;
			productName = SwiftyJSON;
		};
		650A148025C386FA006D4F4A /* SDWebImageSwiftUI */ = {
			isa = XCSwiftPackageProductDependency;
			package = 650A147F25C386FA006D4F4A /* XCRemoteSwiftPackageReference "SDWebImageSwiftUI" */;
			productName = SDWebImageSwiftUI;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 650A144425C36EC0006D4F4A /* Project object */;
}
